AsyncContinuation.AsyncEventState (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.server

## Class AsyncContinuation.AsyncEventState

- java.lang.Object
- - org.eclipse.jetty.util.thread.Timeout.Task
  - - org.eclipse.jetty.server.AsyncContinuation.AsyncEventState

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    AsyncContinuation

      public class AsyncContinuation.AsyncEventState
      extends Timeout.Task
      implements Runnable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncContinuation.AsyncEventState(javax.servlet.ServletContext context, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `expired()` Expire task.
    `javax.servlet.ServletContext` | `getDispatchContext()`
    `String` | `getPath()`
    `javax.servlet.ServletRequest` | `getRequest()`
    `javax.servlet.ServletResponse` | `getResponse()`
    `javax.servlet.ServletContext` | `getServletContext()`
    `javax.servlet.ServletContext` | `getSuspendedContext()`
    `void` | `run()`

    - ### Methods inherited from class org.eclipse.jetty.util.thread.Timeout.Task

      `cancel, expire, getAge, getTimestamp, isExpired, isScheduled, reschedule, schedule, schedule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncContinuation.AsyncEventState

          public AsyncContinuation.AsyncEventState(javax.servlet.ServletContext context,
                                           javax.servlet.ServletRequest request,
                                           javax.servlet.ServletResponse response)

  - ### Method Detail

    - #### getSuspendedContext

          public javax.servlet.ServletContext getSuspendedContext()

    - #### getDispatchContext

          public javax.servlet.ServletContext getDispatchContext()

    - #### getServletContext

          public javax.servlet.ServletContext getServletContext()

    - #### getRequest

          public javax.servlet.ServletRequest getRequest()

    - #### getResponse

          public javax.servlet.ServletResponse getResponse()

    - #### getPath

          public String getPath()

      Returns:
        The path in the context

    - #### expired

          public void expired()

      Description copied from class: `Timeout.Task`
      Expire task. This method is called when the timeout expires. It is called outside of any synchronization scope and may be delayed.
      Overrides:
        `expired` in class `Timeout.Task`

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.